<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目查询</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ asset('css/app.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<h3>搜索功能待开放，数据待补充完整</h3>
<!--<form action="">
        <label for="keyword">查找节目关键词，空格隔开查找多个关键词</label>
        <input type="text" name="keyword" id="keyword" value="{{$keyword}}">
        <input type="submit">
    </form>-->
<table class="table-auto border-collapse w-full lg:border lg:border-black">
    <thead>
    <tr class="border border-black sticky bg-white lg:static top-0 left-0 right-0">
        <td>节目名称</td>
        <td>点播及追加</td>
        <td>节目开始</td>
        <td>节目结束</td>
    </tr>
    </thead>
    <tbody>
    @foreach($programs as $program)
        <tr>
            <td>
                <span title="节目">{{$program->name}}</span>
                <span title="难度">{{$program->difficulty}}</span>
                <span title="要求">{{$program->desc}}</span>
            </td>
            <td>
                @foreach($program->appends as $append)
                    @if($append->is_original)
                        <div>
                            @switch($append->platform_id)
                                @case(1)
                                    <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/bilibili.ico" alt="B站">
                                    <a class="underline" href="https://space.bilibili.com/{{$append->from_mid}}" target="_blank">{{$append->from}}</a>
                                    @break
                                @case(2)
                                    <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/ixigua.ico" alt="西瓜视频">
                                    <a class="underline" href="https://www.ixigua.com/home/{{$append->from_mid}}/" target="_blank">{{$append->from}}</a>
                                    @break
                                @case(3)
                                    <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/douyin.ico" alt="抖音">
                                    {{$append->from}}
                                    @break
                                @default
                                    {{$append->from}}
                                    @break
                            @endswitch
                            老板点播
                            <span title="一分10块">{{$append->price}}分</span>
                            @if($append->append)
                                <span>（{{$append->append}}）</span>
                            @endif
                        </div>
                    @else
                        <div>
                            @switch($append->platform_id)
                                @case(1)
                                    <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/bilibili.ico" alt="B站">
                                    <a class="underline" href="https://space.bilibili.com/{{$append->from_mid}}" target="_blank">{{$append->from}}</a>
                                    @break
                                @case(2)
                                    <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/ixigua.ico" alt="西瓜视频">
                                    <a class="underline" href="https://www.ixigua.com/home/{{$append->from_mid}}/" target="_blank">{{$append->from}}</a>
                                    @break
                                @case(3)
                                    <img class="w-4 h-4 inline-block" src="https://cdn.jerryyan.net/luboimg/douyin.ico" alt="抖音">
                                    {{$append->from}}
                                    @break
                                @default
                                    {{$append->from}}
                                    @break
                            @endswitch
                            老板追加：{{$append->name}}
                            <span title="一分10块">{{$append->price}}分</span>
                            @if($append->append)
                                <span>（{{$append->append}}）</span>
                            @endif
                        </div>
                    @endif
                @endforeach
            </td>
            <td>
                @foreach($program->video_pivots as $video_pivot)
                    <a
                        target="_blank"
                        href="https://www.bilibili.com/video/{{$video_pivot->video_bvid}}?p={{$video_pivot->start_part}}&t={{$video_pivot->start_sec}}"
                        title="P{{$video_pivot->start_part}}#{{$video_pivot->start_time}}"
                    >
                        @if($video_pivot->start_image)
                            <img width="300" src="{{$video_pivot->start_image}}" alt="开始时的画面">
                        @else
                            节目开始位置
                        @endif
                    </a>
                @endforeach
            </td>
            <td>
                @foreach($program->video_pivots as $video_pivot)
                    @if($video_pivot->stop_part)
                    <a
                        target="_blank"
                        href="https://www.bilibili.com/video/{{$video_pivot->video_bvid}}?p={{$video_pivot->stop_part}}&t={{$video_pivot->stop_sec}}"
                        title="P{{$video_pivot->stop_part}}#{{$video_pivot->stop_time}}"
                    >
                        @if($video_pivot->start_image)
                            <img width="300" src="{{$video_pivot->stop_image}}" alt="结束时的画面">
                        @else
                            节目结束位置
                        @endif
                    </a>
                    @else
                        @if($video_pivot->stop_image)
                            <img width="300" src="{{$video_pivot->stop_image}}" alt="结束时的画面">
                        @else
                            <div>暂无</div>
                        @endif
                    @endif
                @endforeach
            </td>
        </tr>
    @endforeach
    </tbody>
</table>
@include("common.footer")
</body>
</html>
